View Issue Details

IDProjectCategoryView StatusLast Update
0026605LazarusPatchpublic2014-08-20 08:24
ReporteroceanAssigned ToBigChimp 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.2.5 (SVN)Product Build 
Target VersionFixed in Version1.3 (SVN) 
Summary0026605: Example fixes
Descriptionexamples/dockmanager/easytree/
examples/gridexamples/grid_semaphor/example/

In Ubuntu these examples fail to compile. Error can't open resource file.

This is because {$R Unit1.lfm} and filename is lowercase "unit1.lfm"
TagsNo tags attached.
Fixed in Revision46054
LazTarget-
WidgetsetGTK
Attached Files
  • examplefixes.patch (1,391 bytes)
    Index: examples/dockmanager/easytree/fdockable.pas
    ===================================================================
    --- examples/dockmanager/easytree/fdockable.pas	(revision 46044)
    +++ examples/dockmanager/easytree/fdockable.pas	(working copy)
    @@ -26,7 +26,7 @@
     
     implementation
     
    -{$R fDockable.lfm}
    +{$R *.lfm}
     
     procedure TDockable.Button1Click(Sender: TObject);
     begin
    Index: examples/dockmanager/easytree/fmain.pas
    ===================================================================
    --- examples/dockmanager/easytree/fmain.pas	(revision 46044)
    +++ examples/dockmanager/easytree/fmain.pas	(working copy)
    @@ -79,7 +79,7 @@
     
     implementation
     
    -{$R fMain.lfm}
    +{$R *.lfm}
     
     uses
       fDockable,
    Index: examples/dockmanager/easytree/ftree.pas
    ===================================================================
    --- examples/dockmanager/easytree/ftree.pas	(revision 46044)
    +++ examples/dockmanager/easytree/ftree.pas	(working copy)
    @@ -22,7 +22,7 @@
     
     implementation
     
    -{$R fTree.lfm}
    +{$R *.lfm}
     
     end.
     
    Index: examples/gridexamples/grid_semaphor/example/unit1.pas
    ===================================================================
    --- examples/gridexamples/grid_semaphor/example/unit1.pas	(revision 46044)
    +++ examples/gridexamples/grid_semaphor/example/unit1.pas	(working copy)
    @@ -88,7 +88,7 @@
     
     implementation
     
    -{$R Unit1.lfm}
    +{$R *.lfm}
     
     { TForm1 }
     
    
    examplefixes.patch (1,391 bytes)

Activities

ocean

2014-08-17 20:40

reporter  

examplefixes.patch (1,391 bytes)
Index: examples/dockmanager/easytree/fdockable.pas
===================================================================
--- examples/dockmanager/easytree/fdockable.pas	(revision 46044)
+++ examples/dockmanager/easytree/fdockable.pas	(working copy)
@@ -26,7 +26,7 @@
 
 implementation
 
-{$R fDockable.lfm}
+{$R *.lfm}
 
 procedure TDockable.Button1Click(Sender: TObject);
 begin
Index: examples/dockmanager/easytree/fmain.pas
===================================================================
--- examples/dockmanager/easytree/fmain.pas	(revision 46044)
+++ examples/dockmanager/easytree/fmain.pas	(working copy)
@@ -79,7 +79,7 @@
 
 implementation
 
-{$R fMain.lfm}
+{$R *.lfm}
 
 uses
   fDockable,
Index: examples/dockmanager/easytree/ftree.pas
===================================================================
--- examples/dockmanager/easytree/ftree.pas	(revision 46044)
+++ examples/dockmanager/easytree/ftree.pas	(working copy)
@@ -22,7 +22,7 @@
 
 implementation
 
-{$R fTree.lfm}
+{$R *.lfm}
 
 end.
 
Index: examples/gridexamples/grid_semaphor/example/unit1.pas
===================================================================
--- examples/gridexamples/grid_semaphor/example/unit1.pas	(revision 46044)
+++ examples/gridexamples/grid_semaphor/example/unit1.pas	(working copy)
@@ -88,7 +88,7 @@
 
 implementation
 
-{$R Unit1.lfm}
+{$R *.lfm}
 
 { TForm1 }
 
examplefixes.patch (1,391 bytes)

Reinier Olislagers

2014-08-19 15:44

developer   ~0076656

Thanks for the fix. Please test & close if ok.

Issue History

Date Modified Username Field Change
2014-08-17 20:40 ocean New Issue
2014-08-17 20:40 ocean File Added: examplefixes.patch
2014-08-19 15:27 Reinier Olislagers Assigned To => Reinier Olislagers
2014-08-19 15:27 Reinier Olislagers Status new => assigned
2014-08-19 15:44 Reinier Olislagers Fixed in Revision => 46054
2014-08-19 15:44 Reinier Olislagers LazTarget => -
2014-08-19 15:44 Reinier Olislagers Note Added: 0076656
2014-08-19 15:44 Reinier Olislagers Status assigned => resolved
2014-08-19 15:44 Reinier Olislagers Fixed in Version => 1.3 (SVN)
2014-08-19 15:44 Reinier Olislagers Resolution open => fixed
2014-08-20 08:24 ocean Status resolved => closed